import { StaticDataType } from './types';
/**
 * @class
 * StaticData - a class for creating static data for Kameleoon.
 * */
export declare class StaticData {
    private browserType?;
    private browserVersion?;
    private visitNumber?;
    private timeSincePreviousVisit?;
    private deviceType?;
    private os?;
    constructor({ browserType, visitNumber, timeSincePreviousVisit, os, deviceType, browserVersion, }: StaticDataType);
    get url(): string;
}
