import { InsertInOrderedListParametersType, InsertVisitInOrderedListParametersType } from '../utilities/types';
export declare class ListUtilities {
    /**
     * Insert element in ordered list, if element already exists in list, does nothing
     * @param list - list to insert element
     * @param element - element to insert
     * @param order - order of list
     */
    static insertInOrderedListMutably({ list, element, order, }: InsertInOrderedListParametersType): void;
    /**
     * Insert visit in ordered list, if visit already exists in list, does nothing
     * @param list - list to insert element
     * @param visit - visit to insert
     */
    static insertVisitInOrderedListMutably({ list, visit, }: InsertVisitInOrderedListParametersType): void;
}
